#ifndef _STACK_H_
#define _STACK_H_

typedef struct {
  void **s;
  int size;
  int maxsize;
} stack_t;

void push(stack_t *s, void *p);
void *pop(stack_t *s);
void init_stack(stack_t *s);
void free_stack(stack_t *s);
void free_stack_free_items(stack_t *s);

#endif /* _STACK_H_ */
