#include "solve.h"

#include <stdio.h>
#include <stdlib.h>

unsigned int grid[2*N-1][2*N-1];

int columns_per_line(int line)
{
  return N + N - 1 - abs(line - N + 1);
}

int is_grid(int line, int column)
{
  return line >= 0 && line < N * 2 - 1 && column >= 0 && column < columns_per_line(line);
}

void init_grid(void)
{
  int init[] = { INIT }; 
  int p = 0;
  for (int line = -1; line < 2 * N; line++)
    for (int column = -1; column < 2 * N; column++) {
      if (!is_grid(line, column)) continue;
      grid[line][column] = init[p];
      p++;
    }
printf("final p %d\n", p);
}

void depth(int d, int x, int y)
{
  if (d == 27) {
    return;
  }

  for (int i = 0; i < 6; i++) {
    depth(d + 1, x, y);
  }
}

int main(void)
{
  init_grid();
  depth(0, 2, 2);
  return 0;
}
