#ifndef _SOLVE_H_
#define _SOLVE_H_

#define N 27

extern unsigned int grid[2*N-1][2*N-1];

typedef struct {
  int stone;  /* stone to solve */
  int x, y;   /* target position */
} solve_stone_t;

typedef struct {
  int x;
  int y;
} position_t;

typedef struct {
  float x;
  float y;
} point_t;

point_t canonical_position(point_t p);
void positions_around(point_t *around, point_t p);
int is_grid(int line, int column);
int columns_per_line(int line);

/* moves store / dump */
typedef struct {
  int direction; /* 0 = left, 1 = right */
  int x, y;
} move_t; 

typedef struct {
  move_t *moves;
  int size;
  int next_stone;   /* set to next stone to solve, -1 if none */
} moves_t;

moves_t solve(int start_direction);

#if N == 2
#define INIT 1, 2, 3, 0, 4, 5, 6
#endif

#if N == 3
#define INIT _3
#endif

#if N == 4
#define INIT _4
#endif

#if N == 5
#define INIT _5
#endif

#if N == 6
#define INIT _6
#endif

#if N == 7
#define INIT _7
#endif

#if N == 8
#define INIT _8
#endif

#if N == 9
#define INIT _9
#endif

#if N == 10
#define INIT _10
#endif

#if N == 11
#define INIT _11
#endif

#if N == 12
#define INIT _12
#endif

#if N == 13
#define INIT _13
#endif

#if N == 14
#define INIT _14
#endif

#if N == 15
#define INIT _15
#endif

#if N == 16
#define INIT _16
#endif

#if N == 17
#define INIT _17
#endif

#if N == 18
#define INIT _18
#endif

#if N == 19
#define INIT _19
#endif

#if N == 20
#define INIT _20
#endif

#if N == 21
#define INIT _21
#endif

#if N == 22
#define INIT _22
#endif

#if N == 23
#define INIT _23
#endif

#if N == 24
#define INIT _24
#endif

#if N == 25
#define INIT _25
#endif

#if N == 26
#define INIT _26
#endif

#if N == 27
#define INIT _27
#endif

#include "StartingConfigurations.txt.h"

#endif /* _SOLVE_H_ */
